<script setup lang="ts">
import {defineComponent, PropType} from "vue";
import {useUserStore} from "@/store/modules/user";
import {RoomBedVO} from "@/api/ecg/doctor";

const userStore = useUserStore();

defineComponent({
  name: 'TitlePanel'
})

const roomBedVO: RoomBedVO = {
  roomId: userStore.room.roomId,
  bedNo: userStore.room.bedNo
}

const  props = defineProps({
  room: {
    type: String,
    required: true
  }
  /*,
  bedList: {
    type: Array as PropType<RoomVO[]>,
    required: true
  },
  modelValue: {
    type: Object as PropType<RoomVO>,
    required: true
  }
*/
})

</script>

<template>
已就诊{{10}}  准备中{{3}}  过号{{2}} 排队中{{100}}   诊室{{roomBedVO.roomId}} 工位{{roomBedVO.bedNo}}
</template>

<style scoped lang="scss">

</style>
